#ifndef ABSTRACTEXTENSIONINTERFACE_H
#define ABSTRACTEXTENSIONINTERFACE_H

#include <QObject>
#include <MApplicationExtensionInterface>

class ApplicationActionMediator;
class QGraphicsWidget;

class AbstractExtensionInterface : public QObject,
        public MApplicationExtensionInterface
{
    Q_INTERFACES(MApplicationExtensionInterface)
    Q_OBJECT

public:
    virtual ~AbstractExtensionInterface(){}

public slots:
    virtual void setupActions(ApplicationActionMediator*)=0;
};

/*!
 * \class AbstractExtensionWidget
 * \brief Base class for all mediasuite extensions
 */
class AbstractExtensionWidget : public AbstractExtensionInterface
{
    Q_OBJECT

public:
    virtual ~AbstractExtensionWidget(){}
    virtual QGraphicsWidget *widget()=0;
};

class AbstractStoreExtensionWidget : public AbstractExtensionWidget
{
    Q_OBJECT

public:
    virtual ~AbstractStoreExtensionWidget(){}

signals:
    //! This signal is emitted when visibility changed
    void promotionVisibilityChanged(bool visible);
};

#endif //ABSTRACTEXTENSIONINTERFACE_H
