#ifndef APPLICATIONACTIONCONTENT_H
#define APPLICATIONACTIONCONTENT_H

#include <QObject>
#include <QVariant>
#include <QHash>

/*!
 * \class ApplicationActionContent
 * \brief Base class for action contents
 */
class ApplicationActionContent : public QObject {
    Q_OBJECT

public:
    /*!
     * \brief Constructor
     * \param parent the parent QObject
     */
    ApplicationActionContent(QObject *parent) :
            QObject(parent)
    {}

    /*!
     * \brief Destructor
     */
    ~ApplicationActionContent(){}

    /*!
     * \brief Returns the action metadata
     * \return a QHash mapping metadata keys to values
     */
    QHash<QString, QVariant> getMetaData() const
    {
        return metaData;
    }

protected:
    QHash<QString, QVariant> metaData;
};

#endif // APPLICATIONACTIONCONTENT_H
